Package org.springframework.security.acls

# Class AclPermissionCacheOptimizer

java.lang.Object
org.springframework.security.acls.AclPermissionCacheOptimizer

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `org.springframework.security.access.PermissionCacheOptimizer`

public class AclPermissionCacheOptimizer extends Object implements org.springframework.security.access.PermissionCacheOptimizer
Batch loads ACLs for collections of objects to allow optimised filtering.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`AclPermissionCacheOptimizer(AclService aclService)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cachePermissionsFor(org.springframework.security.core.Authentication authentication, Collection<?> objects)`
`void`
`setObjectIdentityRetrievalStrategy(ObjectIdentityRetrievalStrategy objectIdentityRetrievalStrategy)`
`void`
`setSidRetrievalStrategy(SidRetrievalStrategy sidRetrievalStrategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AclPermissionCacheOptimizer

public AclPermissionCacheOptimizer(AclService aclService)

## Method Details

### cachePermissionsFor

public void cachePermissionsFor(org.springframework.security.core.Authentication authentication, Collection<?> objects)

Specified by:
  `cachePermissionsFor` in interface `org.springframework.security.access.PermissionCacheOptimizer`

### setObjectIdentityRetrievalStrategy

public void setObjectIdentityRetrievalStrategy(ObjectIdentityRetrievalStrategy objectIdentityRetrievalStrategy)

### setSidRetrievalStrategy

public void setSidRetrievalStrategy(SidRetrievalStrategy sidRetrievalStrategy)